compilers=&gcc86:&icc:&icx:&clang:&clangx86trunk:&clang-rocm:&mosclang-trunk:&rvclang:&wasmclang:&cl:&cross:&ellcc:&zapcc:&djggp:www.godbolt.ms@443:&armclang32:&armclang64:&zigcxx:&cxx6502:&nvcxx_arm_cxx:godbolt.org@443/gpu
# Disabled: nvcxx_x86_cxx
# The disabled groups are actually used in the c++.gpu.properties. One day these might exist on both servers, so I want
# to keep them in the same place.
defaultCompiler=g122
demangler=/opt/compiler-explorer/gcc-12.2.0/bin/c++filt
objdumper=/opt/compiler-explorer/gcc-12.2.0/bin/objdump
needsMulti=false

buildenvsetup=ceconan
buildenvsetup.host=https://conan.compiler-explorer.com

externalparser=CEAsmParser
externalparser.exe=/usr/local/bin/asm-parser

llvmDisassembler=/opt/compiler-explorer/clang-14.0.0/bin/llvm-dis

###############################
# GCC for x86
group.gcc86.compilers=g412:g447:g453:g464:g471:g472:g473:g474:g481:g482:g483:g484:g485:g490:g491:g492:g493:g494:g510:g520:g530:g540:g550:g6:g62:g63:g64:g71:g72:g73:g74:g75:g81:g82:g83:g84:g85:g91:g92:g93:g94:g95:g101:g102:g103:g104:g111:g112:g113:g121:g122:gsnapshot:gcontracts-trunk:gcontract-labels-trunk:gcxx-modules-trunk:gcxx-coroutines-trunk:gcc-embed-trunk:gcc-static-analysis-trunk
group.gcc86.groupName=GCC x86-64
group.gcc86.instructionSet=amd64
group.gcc86.baseName=x86-64 gcc
group.gcc86.isSemVer=true
group.gcc86.unwiseOptions=-march=native
group.gcc86.supportsPVS-Studio=true
group.gcc86.licenseLink=https://gcc.gnu.org/onlinedocs/gcc/Copying.html
group.gcc86.licenseName=GNU General Public License
group.gcc86.licensePreamble=Copyright (c) 2007 Free Software Foundation, Inc. <a href="https://fsf.org/" target="_blank">https://fsf.org/</a>
group.gcc86.supportsBinaryObject=true

compiler.g412.exe=/opt/compiler-explorer/gcc-4.1.2/bin/g++
compiler.g412.semver=4.1.2
compiler.g412.supportsBinary=false
compiler.g447.exe=/opt/compiler-explorer/gcc-4.4.7/bin/g++
compiler.g447.alias=/usr/bin/g++-4.4
compiler.g447.semver=4.4.7
compiler.g447.supportsBinary=false
compiler.g453.exe=/opt/compiler-explorer/gcc-4.5.3/bin/g++
compiler.g453.alias=/usr/bin/g++-4.5
compiler.g453.semver=4.5.3
compiler.g453.supportsBinary=false
compiler.g464.exe=/opt/compiler-explorer/gcc-4.6.4/bin/g++
compiler.g464.alias=/usr/bin/g++-4.6
compiler.g464.semver=4.6.4
compiler.g471.exe=/opt/compiler-explorer/gcc-4.7.1/bin/g++
compiler.g471.semver=4.7.1
compiler.g471.supportsBinary=false
compiler.g472.exe=/opt/compiler-explorer/gcc-4.7.2/bin/g++
compiler.g472.semver=4.7.2
compiler.g472.supportsBinary=false
compiler.g473.exe=/opt/compiler-explorer/gcc-4.7.3/bin/g++
compiler.g473.semver=4.7.3
compiler.g473.alias=/usr/bin/g++-4.7
compiler.g474.exe=/opt/compiler-explorer/gcc-4.7.4/bin/g++
compiler.g474.semver=4.7.4
compiler.g481.exe=/opt/compiler-explorer/gcc-4.8.1/bin/g++
compiler.g481.semver=4.8.1
compiler.g482.exe=/opt/compiler-explorer/gcc-4.8.2/bin/g++
compiler.g482.semver=4.8.2
compiler.g483.exe=/opt/compiler-explorer/gcc-4.8.3/bin/g++
compiler.g483.semver=4.8.3
compiler.g484.exe=/opt/compiler-explorer/gcc-4.8.4/bin/g++
compiler.g484.semver=4.8.4
compiler.g485.exe=/opt/compiler-explorer/gcc-4.8.5/bin/g++
compiler.g485.semver=4.8.5
compiler.g485.alias=/usr/bin/g++-4.8
compiler.g490.exe=/opt/compiler-explorer/gcc-4.9.0/bin/g++
compiler.g490.semver=4.9.0
compiler.g490.alias=/opt/gcc-4.9.0/bin/g++
compiler.g491.exe=/opt/compiler-explorer/gcc-4.9.1/bin/g++
compiler.g491.semver=4.9.1
compiler.g492.exe=/opt/compiler-explorer/gcc-4.9.2/bin/g++
compiler.g492.semver=4.9.2
compiler.g493.exe=/opt/compiler-explorer/gcc-4.9.3/bin/g++
compiler.g493.semver=4.9.3
compiler.g494.exe=/opt/compiler-explorer/gcc-4.9.4/bin/g++
compiler.g494.semver=4.9.4
compiler.g494.supportsBinary=false
compiler.g510.exe=/opt/compiler-explorer/gcc-5.1.0/bin/g++
compiler.g510.semver=5.1
compiler.g520.exe=/opt/compiler-explorer/gcc-5.2.0/bin/g++
compiler.g520.semver=5.2
compiler.g530.exe=/opt/compiler-explorer/gcc-5.3.0/bin/g++
compiler.g530.semver=5.3
compiler.g540.exe=/opt/compiler-explorer/gcc-5.4.0/bin/g++
compiler.g540.semver=5.4
compiler.g550.exe=/opt/compiler-explorer/gcc-5.5.0/bin/g++
compiler.g550.semver=5.5
compiler.g6.exe=/opt/compiler-explorer/gcc-6.1.0/bin/g++
compiler.g6.semver=6.1
compiler.g62.exe=/opt/compiler-explorer/gcc-6.2.0/bin/g++
compiler.g62.semver=6.2
compiler.g63.exe=/opt/compiler-explorer/gcc-6.3.0/bin/g++
compiler.g64.semver=6.4
compiler.g64.exe=/opt/compiler-explorer/gcc-6.4.0/bin/g++
compiler.g63.semver=6.3
compiler.g71.exe=/opt/compiler-explorer/gcc-7.1.0/bin/g++
compiler.g71.semver=7.1
compiler.g72.exe=/opt/compiler-explorer/gcc-7.2.0/bin/g++
compiler.g72.semver=7.2
compiler.g73.exe=/opt/compiler-explorer/gcc-7.3.0/bin/g++
compiler.g73.semver=7.3
compiler.g74.exe=/opt/compiler-explorer/gcc-7.4.0/bin/g++
compiler.g74.semver=7.4
compiler.g75.exe=/opt/compiler-explorer/gcc-7.5.0/bin/g++
compiler.g75.semver=7.5
compiler.g81.exe=/opt/compiler-explorer/gcc-8.1.0/bin/g++
compiler.g81.semver=8.1
compiler.g82.exe=/opt/compiler-explorer/gcc-8.2.0/bin/g++
compiler.g82.semver=8.2
compiler.g83.exe=/opt/compiler-explorer/gcc-8.3.0/bin/g++
compiler.g83.semver=8.3
compiler.g84.exe=/opt/compiler-explorer/gcc-8.4.0/bin/g++
compiler.g84.semver=8.4
compiler.g85.exe=/opt/compiler-explorer/gcc-8.5.0/bin/g++
compiler.g85.semver=8.5
compiler.g91.exe=/opt/compiler-explorer/gcc-9.1.0/bin/g++
compiler.g91.semver=9.1
compiler.g92.exe=/opt/compiler-explorer/gcc-9.2.0/bin/g++
compiler.g92.semver=9.2
compiler.g93.exe=/opt/compiler-explorer/gcc-9.3.0/bin/g++
compiler.g93.semver=9.3
compiler.g94.exe=/opt/compiler-explorer/gcc-9.4.0/bin/g++
compiler.g94.semver=9.4
compiler.g95.exe=/opt/compiler-explorer/gcc-9.5.0/bin/g++
compiler.g95.semver=9.5
compiler.g101.exe=/opt/compiler-explorer/gcc-10.1.0/bin/g++
compiler.g101.semver=10.1
compiler.g102.exe=/opt/compiler-explorer/gcc-10.2.0/bin/g++
compiler.g102.semver=10.2
compiler.g103.exe=/opt/compiler-explorer/gcc-10.3.0/bin/g++
compiler.g103.semver=10.3
compiler.g104.exe=/opt/compiler-explorer/gcc-10.4.0/bin/g++
compiler.g104.semver=10.4
compiler.g111.exe=/opt/compiler-explorer/gcc-11.1.0/bin/g++
compiler.g111.semver=11.1
compiler.g112.exe=/opt/compiler-explorer/gcc-11.2.0/bin/g++
compiler.g112.semver=11.2
compiler.g113.exe=/opt/compiler-explorer/gcc-11.3.0/bin/g++
compiler.g113.semver=11.3
compiler.g121.exe=/opt/compiler-explorer/gcc-12.1.0/bin/g++
compiler.g121.semver=12.1
compiler.g122.exe=/opt/compiler-explorer/gcc-12.2.0/bin/g++
compiler.g122.semver=12.2

compiler.gsnapshot.exe=/opt/compiler-explorer/gcc-snapshot/bin/g++
compiler.gsnapshot.demangler=/opt/compiler-explorer/gcc-snapshot/bin/c++filt
compiler.gsnapshot.objdumper=/opt/compiler-explorer/gcc-snapshot/bin/objdump
compiler.gsnapshot.semver=(trunk)
compiler.gsnapshot.alias=g7snapshot
compiler.gcontracts-trunk.exe=/opt/compiler-explorer/gcc-lock3-contracts-trunk/bin/g++
compiler.gcontracts-trunk.demangler=/opt/compiler-explorer/gcc-snapshot/bin/c++filt
compiler.gcontracts-trunk.objdumper=/opt/compiler-explorer/gcc-snapshot/bin/objdump
compiler.gcontracts-trunk.semver=(contracts)
compiler.gcontracts-trunk.notification=Experimental Contract Support; see <a href="https://github.com/lock3/gcc/wiki" target="_blank" rel="noopener noreferrer">Lock3's repository wiki<sup><small class="fas fa-external-link-alt opens-new-window" title="Opens in a new window"></small></sup></a>
compiler.gcontract-labels-trunk.exe=/opt/compiler-explorer/gcc-lock3-contract-labels-trunk/bin/g++
compiler.gcontract-labels-trunk.demangler=/opt/compiler-explorer/gcc-snapshot/bin/c++filt
compiler.gcontract-labels-trunk.objdumper=/opt/compiler-explorer/gcc-snapshot/bin/objdump
compiler.gcontract-labels-trunk.semver=(contract labels)
compiler.gcontract-labels-trunk.notification=Experimental Contract Label Support; see <a href="https://github.com/lock3/gcc/wiki" target="_blank" rel="noopener noreferrer">Lock3's repository wiki<sup><small class="fas fa-external-link-alt opens-new-window" title="Opens in a new window"></small></sup></a>
compiler.gcxx-modules-trunk.exe=/opt/compiler-explorer/gcc-cxx-modules-trunk/bin/g++
compiler.gcxx-modules-trunk.demangler=/opt/compiler-explorer/gcc-snapshot/bin/c++filt
compiler.gcxx-modules-trunk.objdumper=/opt/compiler-explorer/gcc-snapshot/bin/objdump
compiler.gcxx-modules-trunk.semver=(modules)
compiler.gcxx-modules-trunk.notification=Experimental Modules Support; see <a href="https://gcc.gnu.org/wiki/cxx-modules" target="_blank" rel="noopener noreferrer">the GCC Wiki<sup><small class="fas fa-external-link-alt opens-new-window" title="Opens in a new window"></small></sup></a>
compiler.gcxx-modules-trunk.options=-fmodules-ts
compiler.gcxx-coroutines-trunk.exe=/opt/compiler-explorer/gcc-cxx-coroutines-trunk/bin/g++
compiler.gcxx-coroutines-trunk.demangler=/opt/compiler-explorer/gcc-snapshot/bin/c++filt
compiler.gcxx-coroutines-trunk.objdumper=/opt/compiler-explorer/gcc-snapshot/bin/objdump
compiler.gcxx-coroutines-trunk.semver=(coroutines)
compiler.gcxx-coroutines-trunk.notification=Experimental Coroutines Support; see <a href="https://github.com/iains/gcc-cxx-coroutines" target="_blank" rel="noopener noreferrer">github<sup><small class="fas fa-external-link-alt opens-new-window" title="Opens in a new window"></small></sup></a>
compiler.gcxx-coroutines-trunk.options=-fcoroutines
compiler.gcc-embed-trunk.exe=/opt/compiler-explorer/gcc-embed-trunk/bin/g++
compiler.gcc-embed-trunk.demangler=/opt/compiler-explorer/gcc-snapshot/bin/c++filt
compiler.gcc-embed-trunk.objdumper=/opt/compiler-explorer/gcc-snapshot/bin/objdump
compiler.gcc-embed-trunk.semver=(std::embed)
compiler.gcc-embed-trunk.notification=Experimental <code>std::embed</code> Support; see <a href="https://github.com/ThePhD/embed" target="_blank" rel="noopener noreferrer">github<sup><small class="fas fa-external-link-alt opens-new-window" title="Opens in a new window"></small></sup></a>
compiler.gcc-embed-trunk.hidden=true
compiler.gcc-static-analysis-trunk.exe=/opt/compiler-explorer/gcc-static-analysis-trunk/bin/g++
compiler.gcc-static-analysis-trunk.demangler=/opt/compiler-explorer/gcc-snapshot/bin/c++filt
compiler.gcc-static-analysis-trunk.objdumper=/opt/compiler-explorer/gcc-snapshot/bin/objdump
compiler.gcc-static-analysis-trunk.options=-fanalyzer -fdiagnostics-urls=never -fdiagnostics-color=always
compiler.gcc-static-analysis-trunk.semver=(static analysis)
compiler.gcc-static-analysis-trunk.notification=Experimental static analyzer; see <a href="https://gcc.gnu.org/wiki/DavidMalcolm/StaticAnalyzer" target="_blank" rel="noopener noreferrer">GCC wiki page<sup><small class="fas fa-external-link-alt opens-new-window" title="Opens in a new window"></small></sup></a>
compiler.gcc-static-analysis-trunk.hidden=true

# Some multilib workarounds for older compilers not built quite right...
compiler.g63.needsMulti=true
compiler.g71.needsMulti=true
compiler.g72.needsMulti=true

################################
# Clang for x86
group.clang.compilers=clang30:clang31:clang32:clang33:clang341:clang350:clang351:clang352:clang37x:clang36x:clang371:clang380:clang381:clang390:clang391:clang400:clang401:clang500:clang501:clang502:clang600:clang601:clang700:clang701:clang710:clang800:clang801:clang900:clang901:clang1000:clang1001:clang1100:clang1101:clang1200:clang1201:clang1300:clang1301:clang1400:clang1500
group.clang.intelAsm=-mllvm --x86-asm-syntax=intel
group.clang.options=--gcc-toolchain=/opt/compiler-explorer/gcc-7.2.0
group.clang.groupName=Clang x86-64
group.clang.instructionSet=amd64
group.clang.baseName=x86-64 clang
group.clang.isSemVer=true
group.clang.compilerType=clang
group.clang.unwiseOptions=-march=native
group.clang.supportsPVS-Studio=true
group.clang.licenseName=LLVM Apache 2
group.clang.licenseLink=https://github.com/llvm/llvm-project/blob/main/LICENSE.TXT
group.clang.licensePreamble=The LLVM Project is under the Apache License v2.0 with LLVM Exceptions
group.clang.supportsBinaryObject=true

# Ancient clangs don't support GCC toolchain option
compiler.clang30.exe=/opt/compiler-explorer/clang+llvm-3.0-x86_64-linux-Ubuntu-11_10/bin/clang++
compiler.clang30.alias=/usr/bin/clang++
compiler.clang30.semver=3.0.0
compiler.clang30.options=
compiler.clang30.supportsBinary=false
compiler.clang31.exe=/opt/compiler-explorer/clang+llvm-3.1-x86_64-linux-ubuntu_12.04/bin/clang++
compiler.clang31.semver=3.1
compiler.clang31.options=
compiler.clang31.supportsBinary=false
compiler.clang32.exe=/opt/compiler-explorer/clang-3.2/bin/clang++
compiler.clang32.alias=/opt/clang-3.2/bin/clang++
compiler.clang32.semver=3.2
compiler.clang32.options=
compiler.clang32.supportsBinary=false
compiler.clang33.exe=/opt/compiler-explorer/clang-3.3/bin/clang++
compiler.clang33.alias=/opt/clang-3.3/bin/clang++
compiler.clang33.semver=3.3
compiler.clang33.options=
# Older clangs don't support anything newer than GCC's 6.3
compiler.clang341.exe=/opt/compiler-explorer/clang+llvm-3.4.1-x86_64-unknown-ubuntu12.04/bin/clang++
compiler.clang341.alias=/opt/clang+llvm-3.4.1-x86_64-unknown-ubuntu12.04/bin/clang++
compiler.clang341.semver=3.4.1
compiler.clang341.options=--gcc-toolchain=/opt/compiler-explorer/gcc-6.3.0
compiler.clang350.exe=/opt/compiler-explorer/clang+llvm-3.5.0-x86_64-linux-gnu/bin/clang++
compiler.clang350.semver=3.5
compiler.clang350.options=--gcc-toolchain=/opt/compiler-explorer/gcc-6.3.0
compiler.clang351.exe=/opt/compiler-explorer/clang+llvm-3.5.1-x86_64-linux-gnu/bin/clang++
compiler.clang351.semver=3.5.1
compiler.clang351.options=--gcc-toolchain=/opt/compiler-explorer/gcc-6.3.0
compiler.clang352.exe=/opt/compiler-explorer/clang+llvm-3.5.2-x86_64-linux-gnu/bin/clang++
compiler.clang352.semver=3.5.2
compiler.clang352.options=--gcc-toolchain=/opt/compiler-explorer/gcc-6.3.0
compiler.clang36x.exe=/opt/compiler-explorer/clang+llvm-3.6.2-x86_64-linux-gnu-ubuntu-14.04/bin/clang++
compiler.clang36x.semver=3.6
compiler.clang36x.options=--gcc-toolchain=/opt/compiler-explorer/gcc-6.3.0
compiler.clang37x.exe=/opt/compiler-explorer/clang+llvm-3.7.0-x86_64-linux-gnu-ubuntu-14.04/bin/clang++
compiler.clang37x.semver=3.7
compiler.clang37x.options=--gcc-toolchain=/opt/compiler-explorer/gcc-6.3.0
compiler.clang371.exe=/opt/compiler-explorer/clang+llvm-3.7.1-x86_64-linux-gnu-ubuntu-14.04/bin/clang++
compiler.clang371.semver=3.7.1
compiler.clang371.options=--gcc-toolchain=/opt/compiler-explorer/gcc-6.3.0
compiler.clang380.exe=/opt/compiler-explorer/clang+llvm-3.8.0-x86_64-linux-gnu-ubuntu-14.04/bin/clang++
compiler.clang380.semver=3.8
compiler.clang380.options=--gcc-toolchain=/opt/compiler-explorer/gcc-6.3.0
compiler.clang381.exe=/opt/compiler-explorer/clang+llvm-3.8.1-x86_64-linux-gnu-ubuntu-14.04/bin/clang++
compiler.clang381.semver=3.8.1
compiler.clang381.options=--gcc-toolchain=/opt/compiler-explorer/gcc-6.3.0
# Clang 3.9 onwards support the newer toolchains
compiler.clang390.exe=/opt/compiler-explorer/clang+llvm-3.9.0-x86_64-linux-gnu-ubuntu-16.04/bin/clang++
compiler.clang390.semver=3.9.0
compiler.clang391.exe=/opt/compiler-explorer/clang-3.9.1/bin/clang++
compiler.clang391.semver=3.9.1
compiler.clang400.exe=/opt/compiler-explorer/clang-4.0.0/bin/clang++
compiler.clang400.semver=4.0.0
compiler.clang401.exe=/opt/compiler-explorer/clang-4.0.1/bin/clang++
compiler.clang401.semver=4.0.1
compiler.clang500.exe=/opt/compiler-explorer/clang-5.0.0/bin/clang++
compiler.clang500.semver=5.0.0
compiler.clang500.options=--gcc-toolchain=/opt/compiler-explorer/gcc-7.3.0
compiler.clang501.exe=/opt/compiler-explorer/clang-5.0.1/bin/clang++
compiler.clang501.semver=5.0.1
compiler.clang501.options=--gcc-toolchain=/opt/compiler-explorer/gcc-7.3.0
compiler.clang502.exe=/opt/compiler-explorer/clang-5.0.2/bin/clang++
compiler.clang502.semver=5.0.2
compiler.clang502.options=--gcc-toolchain=/opt/compiler-explorer/gcc-7.3.0
compiler.clang600.exe=/opt/compiler-explorer/clang-6.0.0/bin/clang++
compiler.clang600.options=--gcc-toolchain=/opt/compiler-explorer/gcc-7.3.0
compiler.clang600.semver=6.0.0
compiler.clang601.exe=/opt/compiler-explorer/clang-6.0.1/bin/clang++
compiler.clang601.options=--gcc-toolchain=/opt/compiler-explorer/gcc-7.3.0
compiler.clang601.semver=6.0.1
# Clang 7 and above: let's try the latest stable GCC as of the time of build
compiler.clang700.exe=/opt/compiler-explorer/clang-7.0.0/bin/clang++
compiler.clang700.semver=7.0.0
compiler.clang700.options=--gcc-toolchain=/opt/compiler-explorer/gcc-8.2.0
compiler.clang701.exe=/opt/compiler-explorer/clang-7.0.1/bin/clang++
compiler.clang701.semver=7.0.1
compiler.clang701.options=--gcc-toolchain=/opt/compiler-explorer/gcc-8.2.0
compiler.clang710.exe=/opt/compiler-explorer/clang-7.1.0/bin/clang++
compiler.clang710.semver=7.1.0
compiler.clang710.options=--gcc-toolchain=/opt/compiler-explorer/gcc-8.2.0
compiler.clang800.exe=/opt/compiler-explorer/clang-8.0.0/bin/clang++
compiler.clang800.semver=8.0.0
compiler.clang800.options=--gcc-toolchain=/opt/compiler-explorer/gcc-8.3.0
compiler.clang801.exe=/opt/compiler-explorer/clang-8.0.1/bin/clang++
compiler.clang801.semver=8.0.1
compiler.clang801.options=--gcc-toolchain=/opt/compiler-explorer/gcc-8.3.0
compiler.clang900.exe=/opt/compiler-explorer/clang-9.0.0/bin/clang++
compiler.clang900.semver=9.0.0
compiler.clang900.options=--gcc-toolchain=/opt/compiler-explorer/gcc-9.2.0
compiler.clang901.exe=/opt/compiler-explorer/clang-9.0.1/bin/clang++
compiler.clang901.semver=9.0.1
compiler.clang901.options=--gcc-toolchain=/opt/compiler-explorer/gcc-9.2.0
compiler.clang1000.exe=/opt/compiler-explorer/clang-10.0.0/bin/clang++
compiler.clang1000.semver=10.0.0
compiler.clang1000.options=--gcc-toolchain=/opt/compiler-explorer/gcc-9.3.0
compiler.clang1001.exe=/opt/compiler-explorer/clang-10.0.1/bin/clang++
compiler.clang1001.semver=10.0.1
compiler.clang1001.options=--gcc-toolchain=/opt/compiler-explorer/gcc-9.3.0
compiler.clang1100.exe=/opt/compiler-explorer/clang-11.0.0/bin/clang++
compiler.clang1100.semver=11.0.0
compiler.clang1100.options=--gcc-toolchain=/opt/compiler-explorer/gcc-10.2.0
compiler.clang1101.exe=/opt/compiler-explorer/clang-11.0.1/bin/clang++
compiler.clang1101.semver=11.0.1
compiler.clang1101.options=--gcc-toolchain=/opt/compiler-explorer/gcc-10.2.0
compiler.clang1200.exe=/opt/compiler-explorer/clang-12.0.0/bin/clang++
compiler.clang1200.semver=12.0.0
compiler.clang1200.options=--gcc-toolchain=/opt/compiler-explorer/gcc-10.3.0
compiler.clang1201.exe=/opt/compiler-explorer/clang-12.0.1/bin/clang++
compiler.clang1201.semver=12.0.1
compiler.clang1201.options=--gcc-toolchain=/opt/compiler-explorer/gcc-11.1.0
compiler.clang1300.exe=/opt/compiler-explorer/clang-13.0.0/bin/clang++
compiler.clang1300.semver=13.0.0
compiler.clang1300.options=--gcc-toolchain=/opt/compiler-explorer/gcc-11.2.0
compiler.clang1300.ldPath=${exePath}/../lib|${exePath}/../lib/x86_64-unknown-linux-gnu
compiler.clang1301.exe=/opt/compiler-explorer/clang-13.0.1/bin/clang++
compiler.clang1301.semver=13.0.1
compiler.clang1301.options=--gcc-toolchain=/opt/compiler-explorer/gcc-11.2.0
compiler.clang1301.ldPath=${exePath}/../lib|${exePath}/../lib/x86_64-unknown-linux-gnu
compiler.clang1400.exe=/opt/compiler-explorer/clang-14.0.0/bin/clang++
compiler.clang1400.semver=14.0.0
compiler.clang1400.options=--gcc-toolchain=/opt/compiler-explorer/gcc-11.2.0
compiler.clang1400.ldPath=${exePath}/../lib|${exePath}/../lib/x86_64-unknown-linux-gnu
compiler.clang1500.exe=/opt/compiler-explorer/clang-15.0.0/bin/clang++
compiler.clang1500.semver=15.0.0
compiler.clang1500.options=--gcc-toolchain=/opt/compiler-explorer/gcc-12.2.0
compiler.clang1500.ldPath=${exePath}/../lib|${exePath}/../lib/x86_64-unknown-linux-gnu

group.clangx86trunk.compilers=clang_trunk:clang_assertions_trunk:clang_concepts:clang_p1144:clang_autonsdmi:clang_lifetime:clang_p1061:clang_parmexpr:clang_patmat:clang_embed:clang_dang:clang_reflection:clang_widberg:clang_resugar
group.clangx86trunk.intelAsm=-mllvm --x86-asm-syntax=intel
group.clangx86trunk.options=--gcc-toolchain=/opt/compiler-explorer/gcc-snapshot
group.clangx86trunk.demangler=/opt/compiler-explorer/gcc-snapshot/bin/c++filt
group.clangx86trunk.objdumper=/opt/compiler-explorer/gcc-snapshot/bin/objdump
group.clangx86trunk.groupName=Clang x86-64
group.clangx86trunk.instructionSet=amd64
group.clangx86trunk.baseName=x86-64 clang
group.clangx86trunk.isSemVer=true
group.clangx86trunk.compilerType=clang
group.clangx86trunk.unwiseOptions=-march=native
group.clangx86trunk.supportsPVS-Studio=true
group.clangx86trunk.ldPath=${exePath}/../lib|${exePath}/../lib/x86_64-unknown-linux-gnu

compiler.clang_trunk.exe=/opt/compiler-explorer/clang-trunk/bin/clang++
compiler.clang_trunk.semver=(trunk)
compiler.clang_trunk.debugPatched=true
compiler.clang_assertions_trunk.exe=/opt/compiler-explorer/clang-assertions-trunk/bin/clang++
compiler.clang_assertions_trunk.semver=(assertions trunk)
compiler.clang_concepts.exe=/opt/compiler-explorer/clang-concepts-trunk/bin/clang++
compiler.clang_concepts.semver=(old concepts branch)
compiler.clang_concepts.options=-std=c++2a -Xclang -fconcepts-ts -stdlib=libc++
compiler.clang_concepts.notification=<span style="color:red"><b>WARNING</b>: Concepts support has been merged to Clang trunk: use <code>-std=c++2a</code> for the most up-to-date support</span>
compiler.clang_p1144.exe=/opt/compiler-explorer/clang-relocatable-trunk/bin/clang++
compiler.clang_p1144.semver=(experimental P1144)
compiler.clang_p1144.options=-std=c++2a -stdlib=libc++ -g0
compiler.clang_p1144.notification=Experimental __is_trivially_relocatable; see <a href="https://wg21.link/p1144" target="_blank" rel="noopener noreferrer">P1144 <sup><small class="fas fa-external-link-alt opens-new-window" title="Opens in a new window"></small></sup></a>
compiler.clang_autonsdmi.exe=/opt/compiler-explorer/clang-autonsdmi-trunk/bin/clang++
compiler.clang_autonsdmi.semver=(experimental metaprogramming - P2632)
compiler.clang_autonsdmi.options=-std=c++2a -stdlib=libc++
compiler.clang_autonsdmi.notification=Experimental Template Meta Programming features; see <a href="https://wg21.link/P2632" target="_blank" rel="noopener noreferrer">this C++ paper <sup><small class="fas fa-external-link-alt opens-new-window" title="Opens in a new window"></small></sup></a> for more information
compiler.clang_lifetime.exe=/opt/compiler-explorer/clang-lifetime-trunk/bin/clang++
compiler.clang_lifetime.semver=(experimental -Wlifetime)
compiler.clang_lifetime.options=--gcc-toolchain=/opt/compiler-explorer/gcc-8.2.0 -Wlifetime
compiler.clang_lifetime.notification=Lifetime profile checker based on Herb Sutter's paper; see <a href="https://herbsutter.com/2018/09/20/lifetime-profile-v1-0-posted/" target="_blank" rel="noopener noreferrer">this blog post <sup><small class="fas fa-external-link-alt opens-new-window" title="Opens in a new window"></small></sup></a> for more information
compiler.clang_p1061.exe=/opt/compiler-explorer/clang-p1061-trunk/bin/clang++
compiler.clang_p1061.semver=(experimental P1061)
compiler.clang_p1061.notification=Experimental Structure Bindings can introduce a Pack; see <a href="https://wg21.link/P1061" target="_blank" rel="noopener noreferrer">P1061<sup><small class="fas fa-external-link-alt opens-new-window" title="Opens in a new window"></small></sup></a>
compiler.clang_parmexpr.exe=/opt/compiler-explorer/clang-parmexpr-trunk/bin/clang++
compiler.clang_parmexpr.semver=(experimental P1221)
compiler.clang_parmexpr.options=-std=c++2a -stdlib=libc++
compiler.clang_parmexpr.notification=Experimental Parametric Expressions; see <a href="https://github.com/ricejasonf/parametric_expressions/blob/master/d1221.md" target="_blank" rel="noopener noreferrer">P1221<sup><small class="fas fa-external-link-alt opens-new-window" title="Opens in a new window"></small></sup></a>
compiler.clang_patmat.exe=/opt/compiler-explorer/clang-patmat-trunk/bin/clang++
compiler.clang_patmat.semver=(experimental pattern matching)
compiler.clang_patmat.options=-std=c++2a -stdlib=libc++ -fpattern-matching
compiler.clang_patmat.notification=Experimental Pattern Matching; see <a href="https://wg21.link/p1371" target="_blank" rel="noopener noreferrer">P1371 <sup><small class="fas fa-external-link-alt opens-new-window" title="Opens in a new window"></small></sup></a>
compiler.clang_embed.exe=/opt/compiler-explorer/clang-embed-trunk/bin/clang++
compiler.clang_embed.semver=(std::embed)
comp